Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SalesConfirm/FrmSalesConfirm.Designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SalesConfirm/FrmSalesConfirm.Designer.cs	(revision 180)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SalesConfirm/FrmSalesConfirm.Designer.cs	(revision 181)
@@ -1068,99 +464,31 @@
         #endregion
 
         private System.Windows.Forms.Label label3;
-        private System.Windows.Forms.Panel panel1;
-        private System.Windows.Forms.Label label2;
         private System.Windows.Forms.DataGridView dgvMaster;
         private System.Windows.Forms.Button btnEnd;
+        private System.Windows.Forms.GroupBox groupBox1;
+        private System.Windows.Forms.Label label7;
+        private System.Windows.Forms.Label label6;
+        private System.Windows.Forms.NumericUpDown numericUpDown2;
         private System.Windows.Forms.Label label5;
         private System.Windows.Forms.ComboBox comboBox3;
         private System.Windows.Forms.Label label4;
         private System.Windows.Forms.ComboBox comboBox2;
-        private System.Windows.Forms.NumericUpDown numericUpDown2;
-        private System.Windows.Forms.Label label7;
-        private System.Windows.Forms.Label label6;
-        private System.Windows.Forms.DataGridViewTextBoxColumn EditStatus;
-        private System.Windows.Forms.DataGridViewTextBoxColumn No;
-        private System.Windows.Forms.DataGridViewTextBoxColumn OrderersDivision;
-        private System.Windows.Forms.DataGridViewTextBoxColumn OrderersCode;
-        private System.Windows.Forms.DataGridViewTextBoxColumn SeqNo;
-        private System.Windows.Forms.DataGridViewTextBoxColumn LineCount;
-        private System.Windows.Forms.DataGridViewTextBoxColumn OrderersName;
-        private System.Windows.Forms.DataGridViewTextBoxColumn DepositDate;
-        private System.Windows.Forms.DataGridViewTextBoxColumn DepositAmountCash;
-        private System.Windows.Forms.DataGridViewTextBoxColumn DepositAmountBill;
-        private System.Windows.Forms.DataGridViewTextBoxColumn RequestNo;
-        private System.Windows.Forms.DataGridViewTextBoxColumn OrderNo;
-        private System.Windows.Forms.DataGridViewTextBoxColumn ConstructionName;
-        private System.Windows.Forms.DataGridViewTextBoxColumn ConstructionName_Raw;
-        private System.Windows.Forms.DataGridViewTextBoxColumn PaymentSchedule;
-        private System.Windows.Forms.DataGridViewTextBoxColumn BillCreationDate;
-        private System.Windows.Forms.DataGridViewTextBoxColumn BillPrice;
-        private System.Windows.Forms.DataGridViewTextBoxColumn TaxPrice;
-        private System.Windows.Forms.DataGridViewTextBoxColumn DepositAmount;
-        private System.Windows.Forms.DataGridViewTextBoxColumn DiscountAmount;
-        private System.Windows.Forms.DataGridViewTextBoxColumn CnstrPrice;
-        private System.Windows.Forms.DataGridViewTextBoxColumn Fees;
-        private System.Windows.Forms.DataGridViewTextBoxColumn OtherAdjustments;
-        private System.Windows.Forms.DataGridViewTextBoxColumn CarryAmount;
-        private System.Windows.Forms.DataGridViewTextBoxColumn PersonName;
-        private System.Windows.Forms.DataGridViewTextBoxColumn PersonCode;
-        private System.Windows.Forms.DataGridViewTextBoxColumn PersonDate;
-        private System.Windows.Forms.DataGridViewTextBoxColumn ApprovalName_1;
-        private System.Windows.Forms.DataGridViewTextBoxColumn ApprovalCode_1;
-        private System.Windows.Forms.DataGridViewTextBoxColumn ApprovalAuthority_1;
-        private System.Windows.Forms.DataGridViewTextBoxColumn ApprovalDate_1;
-        private System.Windows.Forms.DataGridViewTextBoxColumn ApprovalOrder_1;
-        private System.Windows.Forms.DataGridViewTextBoxColumn ApprovalName_2;
-        private System.Windows.Forms.DataGridViewTextBoxColumn ApprovalCode_2;
-        private System.Windows.Forms.DataGridViewTextBoxColumn ApprovalAuthority_2;
-        private System.Windows.Forms.DataGridViewTextBoxColumn ApprovalDate_2;
-        private System.Windows.Forms.DataGridViewTextBoxColumn ApprovalOrder_2;
-        private System.Windows.Forms.DataGridViewTextBoxColumn ApprovalName_3;
-        private System.Windows.Forms.DataGridViewTextBoxColumn ApprovalCode_3;
-        private System.Windows.Forms.DataGridViewTextBoxColumn ApprovalAuthority_3;
-        private System.Windows.Forms.DataGridViewTextBoxColumn ApprovalDate_3;
-        private System.Windows.Forms.DataGridViewTextBoxColumn ApprovalOrder_3;
-        private System.Windows.Forms.DataGridViewTextBoxColumn ApprovalName_4;
-        private System.Windows.Forms.DataGridViewTextBoxColumn ApprovalCode_4;
-        private System.Windows.Forms.DataGridViewTextBoxColumn ApprovalAuthority_4;
-        private System.Windows.Forms.DataGridViewTextBoxColumn ApprovalDate_4;
-        private System.Windows.Forms.DataGridViewTextBoxColumn ApprovalOrder_4;
-        private System.Windows.Forms.DataGridViewTextBoxColumn ApprovalName_5;
-        private System.Windows.Forms.DataGridViewTextBoxColumn ApprovalCode_5;
-        private System.Windows.Forms.DataGridViewTextBoxColumn ApprovalAuthority_5;
-        private System.Windows.Forms.DataGridViewTextBoxColumn ApprovalDate_5;
-        private System.Windows.Forms.DataGridViewTextBoxColumn ApprovalOrder_5;
-        private System.Windows.Forms.DataGridViewTextBoxColumn ApprovalName_6;
-        private System.Windows.Forms.DataGridViewTextBoxColumn ApprovalCode_6;
-        private System.Windows.Forms.DataGridViewTextBoxColumn ApprovalAuthority_6;
-        private System.Windows.Forms.DataGridViewTextBoxColumn ApprovalDate_6;
-        private System.Windows.Forms.DataGridViewTextBoxColumn ApprovalOrder_6;
-        private System.Windows.Forms.DataGridViewTextBoxColumn ApprovalName_7;
-        private System.Windows.Forms.DataGridViewTextBoxColumn ApprovalCode_7;
-        private System.Windows.Forms.DataGridViewTextBoxColumn ApprovalAuthority_7;
-        private System.Windows.Forms.DataGridViewTextBoxColumn ApprovalDate_7;
-        private System.Windows.Forms.DataGridViewTextBoxColumn ApprovalOrder_7;
-        private System.Windows.Forms.DataGridViewTextBoxColumn ApprovalName_8;
-        private System.Windows.Forms.DataGridViewTextBoxColumn ApprovalCode_8;
-        private System.Windows.Forms.DataGridViewTextBoxColumn ApprovalAuthority_8;
-        private System.Windows.Forms.DataGridViewTextBoxColumn ApprovalDate_8;
-        private System.Windows.Forms.DataGridViewTextBoxColumn ApprovalOrder_8;
-        private System.Windows.Forms.DataGridViewTextBoxColumn ApprovalName_9;
-        private System.Windows.Forms.DataGridViewTextBoxColumn ApprovalCode_9;
-        private System.Windows.Forms.DataGridViewTextBoxColumn ApprovalAuthority_9;
-        private System.Windows.Forms.DataGridViewTextBoxColumn ApprovalDate_9;
-        private System.Windows.Forms.DataGridViewTextBoxColumn ApprovalOrder_9;
-        private System.Windows.Forms.DataGridViewTextBoxColumn ApprovalName_10;
-        private System.Windows.Forms.DataGridViewTextBoxColumn ApprovalCode_10;
-        private System.Windows.Forms.DataGridViewTextBoxColumn ApprovalAuthority_10;
-        private System.Windows.Forms.DataGridViewTextBoxColumn ApprovalDate_10;
-        private System.Windows.Forms.DataGridViewTextBoxColumn ApprovalOrder_10;
-        private CustomControls.GroupBoxEx groupBoxEx1;
+        private System.Windows.Forms.Label label2;
         private System.Windows.Forms.ComboBox comboBox1;
+        private System.Windows.Forms.Label label1;
+        private System.Windows.Forms.Label lblTotal;
+        private System.Windows.Forms.Label lblCellTotal;
+        private System.Windows.Forms.DataGridViewTextBoxColumn Column1;
+        private System.Windows.Forms.DataGridViewTextBoxColumn Column2;
+        private System.Windows.Forms.DataGridViewTextBoxColumn Column10;
+        private System.Windows.Forms.DataGridViewTextBoxColumn Column3;
+        private System.Windows.Forms.DataGridViewTextBoxColumn Column5;
+        private System.Windows.Forms.DataGridViewTextBoxColumn Column6;
+        private System.Windows.Forms.DataGridViewTextBoxColumn Column7;
+        private System.Windows.Forms.DataGridViewTextBoxColumn Column8;
+        private System.Windows.Forms.DataGridViewTextBoxColumn Column9;
         private System.Windows.Forms.Label label8;
-        private System.Windows.Forms.RadioButton radioButton2;
-        private System.Windows.Forms.RadioButton radioButton1;
     }
 }
 
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SalesConfirm/FrmSalesConfirm.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SalesConfirm/FrmSalesConfirm.cs	(revision 180)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SalesConfirm/FrmSalesConfirm.cs	(revision 181)
@@ -40,405 +40,21 @@
 
         #region 定数
         /// <summary>
-        /// 承認状態
+        /// 表示カラム
         /// </summary>
-        public enum ApprovalStatus
+        public enum GridColumn
         {
-            None = 0,
-            InCharge,
-            InApproval,
-            Approved,
-        }
-
-        /// <summary>
-        /// 合計行の見出し
-        /// </summary>
-        private enum TotalRows
-        {
-            小計 = 1,
-            入金金額,
-            調整後金額,
-            差額,
-        }
-
-        /// <summary>
-        /// 表示カラム ※■は非表示セル
-        /// </summary>
-        private enum DispColumn
-        {
-            RowType = 0,                                                        // ■編集状態
-            No,                                                                 // No
-            OrderersDivision,                                                   // ■発注先区分
-            OrderersCode,                                                       // ■発注者コード
-            SeqNo,                                                              // ■連番
-            LineCount,                                                          // ■行番号
-            OrderersName,                                                       // 請求先名
-            DepositDate,                                                        // 入金日
-            DepositAmountCash,                                                  // 入金金額 (振込み)
-            DepositAmountBill,                                                  // 入金金額 (手形)
-            RequestNo,                                                          // ■請求No.
-            OrderNo,                                                            // ■受付番号
-            ConstructionName,                                                   // 現場名
-            ConstructionName_Raw,                                               // ■現場名 (DB登録値)
-            PaymentSchedule,                                                    // 入金予定日
-            BillCreationDate,                                                   // 請求日
-            BillPrice,                                                          // 請求金額 (税抜)
-            TaxPrice,                                                           // 請求金額 (消費税)
-            DepositAmount,                                                      // 入金金額
-            DiscountAmount,                                                     // 値引金額
-            CnstrPrice,                                                         // 協力金
-            Fees,                                                               // 手数料
-            OtherAdjustments,                                                   // その他調整
-            CarryAmount,                                                        // 次回繰越
-            PersonName,                                                         // 担当者承認
-            PersonCode,                                                         // ■担当者コード
-            PersonDate,                                                         // ■担当者日付
-            ApprovalName_1,                                                     // 承認者１承認
-            ApprovalCode_1,                                                     // ■承認者コード_1
-            ApprovalAuthority_1,                                                // ■承認権限区分_1
-            ApprovalDate_1,                                                     // ■承認日付_1
-            ApprovalOrder_1,                                                    // ■承認順番_1
-            ApprovalName_2,                                                     // 承認者２承認
-            ApprovalCode_2,                                                     // ■承認者コード_2
-            ApprovalAuthority_2,                                                // ■承認権限区分_2
-            ApprovalDate_2,                                                     // ■承認日付_2
-            ApprovalOrder_2,                                                    // ■承認順番_2
-            ApprovalName_3,                                                     // 承認者３承認
-            ApprovalCode_3,                                                     // ■承認者コード_3
-            ApprovalAuthority_3,                                                // ■承認権限区分_3
-            ApprovalDate_3,                                                     // ■承認日付_3
-            ApprovalOrder_3,                                                    // ■承認順番_3
-            ApprovalName_4,                                                     // 承認者４承認
-            ApprovalCode_4,                                                     // ■承認者コード_4
-            ApprovalAuthority_4,                                                // ■承認権限区分_4
-            ApprovalDate_4,                                                     // ■承認日付_4
-            ApprovalOrder_4,                                                    // ■承認順番_4
-            ApprovalName_5,                                                     // 承認者５承認
-            ApprovalCode_5,                                                     // ■承認者コード_5
-            ApprovalAuthority_5,                                                // ■承認権限区分_5
-            ApprovalDate_5,                                                     // ■承認日付_5
-            ApprovalOrder_5,                                                    // ■承認順番_5
-            ApprovalName_6,                                                     // 承認者６承認
-            ApprovalCode_6,                                                     // ■承認者コード_6
-            ApprovalAuthority_6,                                                // ■承認権限区分_6
-            ApprovalDate_6,                                                     // ■承認日付_6
-            ApprovalOrder_6,                                                    // ■承認順番_6
-            ApprovalName_7,                                                     // 承認者７承認
-            ApprovalCode_7,                                                     // ■承認者コード_7
-            ApprovalAuthority_7,                                                // ■承認権限区分_7
-            ApprovalDate_7,                                                     // ■承認日付_7
-            ApprovalOrder_7,                                                    // ■承認順番_7
-            ApprovalName_8,                                                     // 承認者８承認
-            ApprovalCode_8,                                                     // ■承認者コード_8
-            ApprovalAuthority_8,                                                // ■承認権限区分_8
-            ApprovalDate_8,                                                     // ■承認日付_8
-            ApprovalOrder_8,                                                    // ■承認順番_8
-            ApprovalName_9,                                                     // 承認者９承認
-            ApprovalCode_9,                                                     // ■承認者コード_9
-            ApprovalAuthority_9,                                                // ■承認権限区分_9
-            ApprovalDate_9,                                                     // ■承認日付_9
-            ApprovalOrder_9,                                                    // ■承認順番_9
-            ApprovalName_10,                                                    // 承認者１０承認
-            ApprovalCode_10,                                                    // ■承認者コード_10
-            ApprovalAuthority_10,                                               // ■承認権限区分_10
-            ApprovalDate_10,                                                    // ■承認日付_10
-            ApprovalOrder_10,                                                   // ■承認順番_10
-        }
-
-        /// <summary>
-        /// 取得するデータ項目
-        /// </summary>
-        private enum ClickGetData
-        {
-            OrderersDivision = 0,
-            OrderersCode,
-            TargetDate,
-            SeqNo,
-            DepositDate,
-            DepositAmountCash,
-            DepositAmountBill,
-            CorporateStatusName,
-            CorporateStatusPoint,
-            OrderersName1,
-            OrderersName2,
-            LineCount,
-            RequestNo,
-            OrderNo,
-            DepositAmount,
-            DiscountAmount,
-            CnstrPrice,
-            Fees,
-            OtherAdjustments,
-            CarryAmount,
-            ApprovalPersonCode,
-            ApprovalDate,
-            ApprovalEndFlg,
-            PersonName,
+            No = 0,
+            OrdersCode,
+            OrdersDivision,
+            OrdersName,
+            OrderPrice,
             DepartmentCode,
-            BillCreationDate,
-            BillPrice,
-            TaxPrice,
-            ConstructionCode,
-            ConstructionPersonCode,
-            ConstrSubPersonCode,
-            ConstructionInstructor,
-            DetailNo,
-            DetailString,
-            ApprovalPersonName1,
-            ApprovalPerson1,
-            ApprovalAuthority1,
-            ApprovalDate1,
-            ApprovalPersonName2,
-            ApprovalPerson2,
-            ApprovalAuthority2,
-            ApprovalDate2,
-            ApprovalPersonName3,
-            ApprovalPerson3,
-            ApprovalAuthority3,
-            ApprovalDate3,
-            ApprovalPersonName4,
-            ApprovalPerson4,
-            ApprovalAuthority4,
-            ApprovalDate4,
-            ApprovalPersonName5,
-            ApprovalPerson5,
-            ApprovalAuthority5,
-            ApprovalDate5,
-            ApprovalPersonName6,
-            ApprovalPerson6,
-            ApprovalAuthority6,
-            ApprovalDate6,
-            ApprovalPersonName7,
-            ApprovalPerson7,
-            ApprovalAuthority7,
-            ApprovalDate7,
-            ApprovalPersonName8,
-            ApprovalPerson8,
-            ApprovalAuthority8,
-            ApprovalDate8,
-            ApprovalPersonName9,
-            ApprovalPerson9,
-            ApprovalAuthority9,
-            ApprovalDate9,
-            ApprovalPersonName10,
-            ApprovalPerson10,
-            ApprovalAuthority10,
-            ApprovalDate10
+            DepartmentName,
+            ConstrPersonCode,
+            ConstrPersonName,
         }
-
-        /// <summary>
-        /// 承認情報
-        /// </summary>
-        private class ApproveData
-        {
-            public int Key { get; set; }
-            public string Value { get; set; }
-            public int Order { get; set; }
-            public int ApprovalAuthority { get; set; }
-        }
-
-        /// <summary>
-        /// 入金請求先情報
-        /// </summary>
-        private class DepositOrderer
-        {
-            public bool Added = false;
-            private bool deleted = false;
-            public bool Deleted
-            {
-                get { return deleted && Deposits.All(d => d.Deleted); }
-                set
-                {
-                    deleted = value;
-                    foreach (var deposit in Deposits)
-                    {
-                        deposit.Deleted = value;
-                    }
-                }
-            }
-            public int No;
-            public int OrderersDivision;
-            public int OrderersCode;
-            public string OrderersName;
-            public List<Deposit> Deposits = new List<Deposit>();
-            public List<Deposit> VisibleDeposits
-            {
-                get { return Deposits.Where(d => !d.Deleted).ToList(); }
-            }
-            public List<DepositDetail> DepositDetails = new List<DepositDetail>();
-            public List<DepositDetail> VisibleDepositDetails
-            {
-                get { return DepositDetails.Where(dd => dd.Visible && !dd.Deleted).ToList(); }
-            }
-            public int Size
-            {
-                get { return Math.Max(Math.Max(VisibleDeposits.Count, VisibleDepositDetails.Count), 1); }
-            }
-            public Deposit FindDepositBySeqNo(int seqNo)
-            {
-                return Deposits.Find(d => d.SeqNo == seqNo);
-            }
-            public DepositDetail FindDepositDetailByLineCount(int lineCount)
-            {
-                return DepositDetails.Find(dd => dd.LineCount == lineCount);
-            }
-            public int GetNextSeqNo()
-            {
-                if (Deposits.Count == 0)
-                    return 1;
-                return Deposits.Max(d => d.SeqNo) + 1;
-            }
-            public int GetNextLineCount()
-            {
-                if (DepositDetails.Count == 0)
-                    return 1;
-                return DepositDetails.Max(dd => dd.LineCount) + 1;
-            }
-            public bool HasApprovedByStaff
-            {
-                get
-                {
-                    if (DepositDetails.Count == 0)
-                        return false;
-                    return DepositDetails.Any(dd => dd.IsApprovedByStaff);
-                }
-            }
-            public bool HasApprovedByApprover
-            {
-                get
-                {
-                    if (DepositDetails.Count == 0)
-                        return false;
-                    return DepositDetails.Any(dd => dd.IsApprovedByApprover);
-                }
-            }
-            public bool HasApprovedByLastApprover
-            {
-                get
-                {
-                    if (DepositDetails.Count == 0)
-                        return false;
-                    return DepositDetails.Any(dd => dd.IsApprovedByLastApprover);
-                }
-            }
-        }
-
-        /// <summary>
-        /// 入金情報
-        /// </summary>
-        private class Deposit
-        {
-            public bool Added = false;
-            public bool Editted = false;
-            public bool Deleted = false;
-            public int SeqNo;
-            public string DepositDate;
-            public long? DepositAmountCash;
-            public long? DepositAmountBill;
-            public bool CanRemove
-            {
-                get
-                {
-                    // 追加行かつ未入力の場合
-                    return Added
-                        && string.IsNullOrEmpty(DepositDate)
-                        && !DepositAmountCash.HasValue
-                        && !DepositAmountBill.HasValue;
-                }
-            }
-        }
-
-        /// <summary>
-        /// 入金明細情報
-        /// </summary>
-        private class DepositDetail
-        {
-            public bool Added = false;
-            public bool Editted = false;
-            public bool Deleted = false;
-            public bool Visible;
-            public int SeqNo;
-            public int LineCount;
-            public int RequestNo;
-            public int OrderNo;
-            public string ConstructionName;
-            public string ConstructionNameRow;
-            public string BillCreationDate;
-            public long BillPrice;
-            public long TaxPrice;
-            public long DepositAmount;
-            public long DiscountAmount;
-            public long CnstrPrice;
-            public long Fees;
-            public long OtherAdjustments;
-            public long CarryAmount;
-            public string ApprovalPersonName;
-            public int ApprovalPersonCode;
-            public string ApprovalDate;
-            public int ApprovalEndFlg;
-            public int DepartmentCode;
-            public int ConstructionCode;
-            public int ConstructionPersonCode;
-            public int ConstrSubPersonCode;
-            public int ConstructionInstructor;
-            public ApprovalStatus Status = ApprovalStatus.None;
-            public bool UpperApprovalInUser = false;
-            public List<DepositApproval> DepositApprovals = new List<DepositApproval>();
-            public bool IsApprovedByStaff
-            {
-                get { return !string.IsNullOrEmpty(ApprovalDate); }
-            }
-            public bool IsApprovedByApprover
-            {
-                get
-                {
-                    if (DepositApprovals.Count == 0)
-                        return false;
-                    return DepositApprovals.First().ApprovalDate != "";
-                }
-            }
-            public bool IsApprovedByLastApprover
-            {
-                get
-                {
-                    if (DepositApprovals.Count == 0)
-                        return false;
-                    return DepositApprovals.Last().ApprovalDate != "";
-                }
-            }
-        }
-
-        /// <summary>
-        /// 入金確認承認情報
-        /// </summary>
-        private class DepositApproval
-        {
-            public bool Added = false;
-            public bool Editted = false;
-            public int ApprovalNo;
-            public int ApprovalPerson;
-            public string ApprovalPersonName;
-            public int ApprovalAuthority;
-            public string ApprovalDate;
-        }
-
-        private List<DepositOrderer> depositOrderers;
-
-        ///// <summary>編集前のセルの内容</summary>
-        //private string oldCellValue = "";
-
-        /// <summary>データ表示の対象営業期</summary>
-        private int m_Select_TargetBusinessPeriod = 0;
-
-        /// <summary>データ表示の対象月</summary>
-        private int m_Select_TargetDate = 0;
-
-        /// <summary>データ表示の対象部署</summary>
-        private int m_Select_TargetDepartment = 0;
-
-        /// <summary>データ表示の対象担当者</summary>
-        private int m_Select_TargetPerson = 0;
-
+        
         /// <summary> ユーザー情報</summary>
         private ClsSecurityPermission.UserInfo m_UserInfo = new ClsSecurityPermission.UserInfo()
         {
@@ -447,6 +63,9 @@
             m_SecRange = ClsSecurityPermission.SecRangeType.InCharge
         };
 
+        /// <summary> 請求月コンボボックス用リスト</summary>
+        public List<KeyValuePair<int, String>> listMonth = new List<KeyValuePair<int, String>>();
+
         /// <summary> 部署コンボボックス用リスト</summary>
         public List<KeyValuePair<int, String>> listDepartment = new List<KeyValuePair<int, String>>();
 
@@ -453,8 +72,19 @@
         /// <summary> 担当者コンボボックス用リスト</summary>
         public List<KeyValuePair<int, String>> listPerson = new List<KeyValuePair<int, String>>();
 
+        /// <summary>
+        /// 行選択色
+        /// </summary>
+        private static Color s_RowSelectColor = Color.LightBlue;
         #endregion
 
+        #region 変数
+        /// <summary>
+        /// Cell幅サイズ
+        /// </summary>
+        private int[] m_CellSize;
+        #endregion
+
         #region コンストラクタ
         /// <summary>
         /// コンストラクタ
@@ -475,12 +105,13 @@
         {
             try
             {
+                // 初期情報取得
+                GetInitConfig();
 
                 //////////////////////////////////////////////////////////////////////////////
                 // ■画面表示時のイベントを停止
                 //////////////////////////////////////////////////////////////////////////////
 
-                radioButton1.CheckedChanged -= new System.EventHandler(this.radioButton1_CheckedChanged);
                 comboBox1.SelectedIndexChanged -= new System.EventHandler(this.comboBox1_SelectedIndexChanged);
                 comboBox2.SelectedIndexChanged -= new System.EventHandler(this.comboBox2_SelectedIndexChanged);
                 comboBox3.SelectedIndexChanged -= new System.EventHandler(this.comboBox3_SelectedIndexChanged);
@@ -506,12 +137,9 @@
 
 
                 // 対象月
-                comboBox1.Items.Add("　");
+                this.listMonth = getTargetMonthList();
 
-                for (int iMonthCount = 1; iMonthCount < 13; iMonthCount++)
-                {
-                    comboBox1.Items.Add(iMonthCount);
-                }
+                comboBox1.DataSource = listMonth;
                 comboBox1.SelectedIndex = 0;
 
                 // 部署
@@ -526,11 +154,6 @@
                 comboBox3.DataSource = listPerson;
                 comboBox3.SelectedIndex = 0;
 
-                // イベントを停止させているため、強制的に非活性にする
-                comboBox1.Enabled = false;
-                // 初期フォーカスはラジオボタン（通年）
-                radioButton1.Checked = true;
-
                 ///////////////////////////////////////////////////////////////////////////
                 // ■一覧表示設定
                 ///////////////////////////////////////////////////////////////////////////
@@ -542,9 +165,6 @@
                 dgvMaster.GetType().InvokeMember("DoubleBuffered", BindingFlags.NonPublic | BindingFlags.Instance | BindingFlags.SetProperty,
                     null, dgvMaster, new object[] { true });
 
-                // 一覧のヘッダ色を設定する
-                SetGridHeaderColor();
-
                 // 一覧表示情報を取得する
                 DisplayData();
 
@@ -556,7 +176,6 @@
             }
             finally
             {
-                radioButton1.CheckedChanged += new System.EventHandler(this.radioButton1_CheckedChanged);
                 comboBox1.SelectedIndexChanged += new System.EventHandler(this.comboBox1_SelectedIndexChanged);
                 comboBox2.SelectedIndexChanged += new System.EventHandler(this.comboBox2_SelectedIndexChanged);
                 comboBox3.SelectedIndexChanged += new System.EventHandler(this.comboBox3_SelectedIndexChanged);
